[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPObjectList.Expand

Expand the capacity of the list.

## Declaration

Source position: contnrs.pp line 50

`public function TFPObjectList.Expand: TFPObjectList;`

## Function result

A reference to the expanded list.

## Description

Expand increases the capacity of the list. It calls #rtl.classes.tfplist.expand and then returns a reference to itself.

## Errors

If there is not enough memory to expand the list, an exception will be raised.

## See also

TFPObjectList.Pack |  | Remove all Nil references from the list
TFPObjectList.Clear |  | Clear all elements in the list.
#rtl.classes.tfplist.expand